aboutsummaryrefslogtreecommitdiffstats
path: root/test/bootstrap
diff options
context:
space:
mode:
Diffstat (limited to 'test/bootstrap')
-rwxr-xr-xtest/bootstrap5
1 files changed, 5 insertions, 0 deletions
diff --git a/test/bootstrap b/test/bootstrap
index fe9c0ba..ea781c9 100755
--- a/test/bootstrap
+++ b/test/bootstrap
@@ -88,3 +88,8 @@ getTagList () {
getTagList_multiline=$(git -C "${1}" show-ref --tags | sed -E 's:^.*?refs/tags/::' || true)
printf '%s' "${getTagList_multiline}" | sort -b | tr '\n' ' ' | sed -E 's:^ | $::g'
}
+
+getBranchList () {
+ getBranchList_multiline=$(git -C "${1}" show-ref --heads | sed -E 's:^.*?refs/heads/::' || true)
+ printf '%s' "${getBranchList_multiline}" | sort -b | tr '\n' ' ' | sed -E 's:^ | $::g'
+}

© 2014-2024 Faster IT GmbH | imprint | privacy policy